/* (c) Peter Mueller, 2008 - All rights reserved. Reproduction, modification,
 * use or disclosure to third parties without express
 * authority is forbidden. Generator running in demo mode!
 * Please purchase a license if you want to use this software in projects.
 */

/* This file is generated from receiver.cdd - do not edit manually*/
/* Generated on: Fri Nov 27 19:45:52 CET 2009 / version 1.7 */


#include "window project\Inc\rtos.h"
#include "receiver.h"
#include "receiver_ext.h"

extern void Trace(unsigned char* msg);

extern OS_MAILBOX MBEv; // shared event box
static unsigned char msg;

void  receiver(RECEIVER_INSTANCEDATA_T *instanceVar){
	
	/*execute entry code of default state once to init machine */
	if(instanceVar->waitev1Entry==1U){
		instanceVar->waitev1Entry=0U;
		Trace("Entry code WaitEv1\n");
	}

	/* action code */
	OS_GetMail(&MBEv, &msg);

	switch(instanceVar->stateVar){

		case WaitEv1:
			if(msg==(RECEIVER_EVENT_T)ev1){
				/*Transition from WaitEv1 to WaitEv2 (both without substates)*/

				/*OnExit code of state WaitEv1 */
				Trace("Exit code WaitEv1\n");

				/*Action code for transition */
				Trace("Action from WaitEv1 to WaitEv2\n)");

				/*onEntry code of state WaitEv2 */
				Trace("Entry code WaitEv2\n");
				/*Set outer statevar */
				instanceVar->stateVar=WaitEv2;
			}else{
				/* Intentionally left blank */
			}
		break;

		case WaitEv2:
			if(msg==(RECEIVER_EVENT_T)ev2){
				/*Transition from WaitEv2 to WaitEv1 (both without substates)*/

				/*OnExit code of state WaitEv2 */
				Trace("Exit code WaitEv2\n");

				/*Action code for transition */
				Trace("Action from WaitEv2 to WaitEv1\n");

				/*onEntry code of state WaitEv1 */
				Trace("Entry code WaitEv1\n");
				/*Set outer statevar */
				instanceVar->stateVar=WaitEv1;
			}else{
				/* Intentionally left blank */
			}
		break;

		default:
			/*Intentionally left blank*/
		break;
	}
}
